Skip to main content
GET
cURL

Path Parameters

runId
string
required

Response

The request has succeeded.

Top-level workflow execution

id
string
required

Run ID

workflow_id
string
required

Workflow definition ID

workflow_version
integer<int32>
required

Workflow definition version

project_id
string
required

Owning project

trigger_type
enum<string>
required

Trigger type

Available options:
manual,
alert,
schedule,
event,
api,
mcp
status
enum<string>
required

Run status

Available options:
pending,
running,
paused,
completed,
failed,
cancelled,
timed_out
created_at
string<date-time>
required

Creation timestamp

trigger_source
string

Trigger source identifier

input_json
string

Run input data

output_json
string

Run output data

error_message
string

Error message if failed

parent_run_id
string

Parent run ID for sub-workflows

correlation_id
string

Correlation ID for tracing

started_at
string<date-time>

Start timestamp

completed_at
string<date-time>

Completion timestamp

duration_ms
integer<int32>

Duration in milliseconds